%define name		html-parser
%define version		1.02
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	GPL
Summary:	A JavaCC grammar for parsing HTML documents
Group:		Development/Libraries/Java
URL:		http://www.quiotix.com/downloads/html-parser/
Vendor:         JPackage Project
Distribution:   JPackage
Requires:	java
BuildRequires:  ant, jpackage-utils >= 0:1.5, java-devel, javacc, sed
BuildArch:      noarch
Source0:	%{url}%{name}-src.jar
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{name} is a JavaCC grammar for parsing HTML documents. It does not enforce the
DTD, but instead builds a simple parse tree which can be used to validate,
reformat, display, analyze, or edit the HTML document. The goal was to produce
a parse tree which threw away very little information contained in the source
file, so that by dumping the parse tree, an almost identical copy of the input
document would result. The only source information discarded by the parser is
whitespace inside of tags (i.e., the spaces or newlines between the attributes
of a tag.) It is not confused by things that look like tags inside of quoted
strings.

The generated parse tree supports the commonly used "Visitor" design
pattern. Several visitor classes are provided, which do things like dump the
parse tree, restructure the parse tree, etc. Common tasks such as formatting,
validation, or analysis are easily performed as Visitors.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
mkdir lib javadoc

%build
if [ ! -e "$JAVA_HOME" ] ; then export JAVA_HOME="%{_jvmdir}/java" ; fi
export CLASSPATH=$(build-classpath javacc)
ant -Djavadoc=javadoc clean dist javadoc


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc www/*.html
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc examples/*.java
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*

%changelog
* Fri Mar 28 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.02-1jpp
- Initial build.
